From 1c6d97072cc336a7069c6eea760be04bfffe736d Mon Sep 17 00:00:00 2001
From: Sebastian Pop <spop@amazon.com>
Date: Sat, 10 Jul 2021 17:19:06 +0000
Subject: [PATCH 2/2] make loop labels unique

---
 source/common/aarch64/ipfilter8.S | 40 +++++++++++++++----------------
 1 file changed, 20 insertions(+), 20 deletions(-)

diff --git a/source/common/aarch64/ipfilter8.S b/source/common/aarch64/ipfilter8.S
index a35052e..1169a23 100644
--- a/source/common/aarch64/ipfilter8.S
+++ b/source/common/aarch64/ipfilter8.S
@@ -474,12 +474,12 @@ LUMA_VPP_4xN 16
 
 .macro FILTER_VPP a b filterv
 
-.loop_\filterv\()_\a\()x\b:
+.loop_luma_vpp_\filterv\()_\a\()x\b:
 
     mov             x7, x2
     mov             x9, #0
 
-.loop_w8_\filterv\()_\a\()x\b:
+.loop_luma_vpp_w8_\filterv\()_\a\()x\b:
 
     add             x6, x0, x9
 
@@ -508,12 +508,12 @@ LUMA_VPP_4xN 16
 
     add             x9, x9, #8
     cmp             x9, #\a
-    blt             .loop_w8_\filterv\()_\a\()x\b
+    blt             .loop_luma_vpp_w8_\filterv\()_\a\()x\b
 
     add             x0, x0, x1
     add             x2, x2, x3
     sub             x5, x5, #1
-    cbnz            x5, .loop_\filterv\()_\a\()x\b
+    cbnz            x5, .loop_luma_vpp_\filterv\()_\a\()x\b
 
 .endm
 
@@ -849,12 +849,12 @@ LUMA_VSP_4xN 16
     lsl             w12, w12, #19
     add             w12, w12, #2048
     dup             v30.4s, w12
-.loop_\filterv\()_\a\()x\b:
+.loop_luma_vsp_\filterv\()_\a\()x\b:
 
     mov             x7, x2
     mov             x9, #0
 
-.loop_w8_\filterv\()_\a\()x\b:
+.loop_luma_vsp_w8_\filterv\()_\a\()x\b:
 
     add             x6, x0, x9
 
@@ -884,12 +884,12 @@ LUMA_VSP_4xN 16
     mov             x12, #\a
     lsl             x12, x12, #1
     cmp             x9, x12
-    blt             .loop_w8_\filterv\()_\a\()x\b
+    blt             .loop_luma_vsp_w8_\filterv\()_\a\()x\b
 
     add             x0, x0, x1
     add             x2, x2, x3
     sub             x5, x5, #1
-    cbnz            x5, .loop_\filterv\()_\a\()x\b
+    cbnz            x5, .loop_luma_vsp_\filterv\()_\a\()x\b
 .endm
 
 .macro LUMA_VSP  w h
@@ -1470,11 +1470,11 @@ endfunc
     mov             w12,#32
     dup             v30.4s, w12
 
-.loop_\filterv\()_\a\()x\b:
+.loop_chroma_vpp_\filterv\()_\a\()x\b:
     mov             x7, x2
     mov             x9, #0
 
-.loop_w8_\filterv\()_\a\()x\b:
+.loop_chroma_vpp_w8_\filterv\()_\a\()x\b:
     add             x6, x0, x9
 
     ld1             {v0.8b}, [x6], x1
@@ -1501,12 +1501,12 @@ endfunc
 
     add             x9, x9, #8
     cmp             x9, #\a
-    blt             .loop_w8_\filterv\()_\a\()x\b
+    blt             .loop_chroma_vpp_w8_\filterv\()_\a\()x\b
 
     add             x0, x0, x1
     add             x2, x2, x3
     sub             x5, x5, #1
-    cbnz            x5, .loop_\filterv\()_\a\()x\b
+    cbnz            x5, .loop_chroma_vpp_\filterv\()_\a\()x\b
 .endm
 
 // void interp_vert_pp_c(const pixel* src, intptr_t srcStride, pixel* dst, intptr_t dstStride, int coeffIdx)
@@ -2222,7 +2222,7 @@ LUMA_HPS    64 64
     beq             12f
     b               13f
 11:
-.loop4_hpp_\filterhpp\()_\w\()x\h:
+.loop4_chroma_hpp_\filterhpp\()_\w\()x\h:
     mov             x11, x0
     sub             x11, x11, #2
     vextin8_chroma
@@ -2238,10 +2238,10 @@ LUMA_HPS    64 64
     sub             w6, w6, #1
     add             x0, x0, x1
     add             x2, x2, x3
-    cbnz            w6, .loop4_hpp_\filterhpp\()_\w\()x\h
+    cbnz            w6, .loop4_chroma_hpp_\filterhpp\()_\w\()x\h
     b               14f
 12:
-.loop12_hpp_\filterhpp\()_\w\()x\h:
+.loop12_chroma_hpp_\filterhpp\()_\w\()x\h:
     mov             x11, x0
     sub             x11, x11, #2
     vextin8_chroma
@@ -2268,17 +2268,17 @@ LUMA_HPS    64 64
     add             x2, x2, x3
     sub             w6, w6, #1
     add             x0, x0, x1
-    cbnz            w6, .loop12_hpp_\filterhpp\()_\w\()x\h
+    cbnz            w6, .loop12_chroma_hpp_\filterhpp\()_\w\()x\h
     b               14f
 13:
     movi            v17.16b, #0
     movi            v18.16b, #0
-.loop2_hpp_\filterhpp\()_\w\()x\h:
+.loop2_chroma_hpp_\filterhpp\()_\w\()x\h:
     mov             x7, #\w
     lsr             x7, x7, #3
     mov             x11, x0
     sub             x11, x11, #2
-.loop3_hpp_\filterhpp\()_\w\()x\h:
+.loop3_chroma_hpp_\filterhpp\()_\w\()x\h:
     vextin8_chroma
     \filterhpp
     add             v17.4s, v17.4s, v30.4s
@@ -2290,11 +2290,11 @@ LUMA_HPS    64 64
     st1             {v0.8b}, [x2], #8
     sub             x7, x7, #1
     sub             x11, x11, #8
-    cbnz            x7, .loop3_hpp_\filterhpp\()_\w\()x\h
+    cbnz            x7, .loop3_chroma_hpp_\filterhpp\()_\w\()x\h
     sub             w6, w6, #1
     add             x0, x0, x1
     add             x2, x2, x3
-    cbnz            w6, .loop2_hpp_\filterhpp\()_\w\()x\h
+    cbnz            w6, .loop2_chroma_hpp_\filterhpp\()_\w\()x\h
 14:
 .endm
 
-- 
2.25.1

